### Enumeration

# Vips CompassDirection

#### Declaration

    enum Vips.CompassDirection

#### Description [src]

A direction on a compass. Used for `vips_gravity()`, for example.

#### Members

`VIPS_COMPASS_DIRECTION_CENTRE`

  Centre.

  - Value: `0`
  - Available since: 8.0
`VIPS_COMPASS_DIRECTION_NORTH`

  North.

  - Value: `1`
  - Available since: 8.0
`VIPS_COMPASS_DIRECTION_EAST`

  East.

  - Value: `2`
  - Available since: 8.0
`VIPS_COMPASS_DIRECTION_SOUTH`

  South.

  - Value: `3`
  - Available since: 8.0
`VIPS_COMPASS_DIRECTION_WEST`

  West.

  - Value: `4`
  - Available since: 8.0
`VIPS_COMPASS_DIRECTION_NORTH_EAST`

  North-east.

  - Value: `5`
  - Available since: 8.0
`VIPS_COMPASS_DIRECTION_SOUTH_EAST`

  South-east.

  - Value: `6`
  - Available since: 8.0
`VIPS_COMPASS_DIRECTION_SOUTH_WEST`

  South-west.

  - Value: `7`
  - Available since: 8.0
`VIPS_COMPASS_DIRECTION_NORTH_WEST`

  North-west.

  - Value: `8`
  - Available since: 8.0
`VIPS_COMPASS_DIRECTION_LAST`

  No description available.

  - Value: `9`
  - Available since: 8.0